%define module_name     atl1
%define module_version  1.0.41.0
%define module_release  alt1.132626.6

%define kversion        2.6.18
%define krelease        alt6
%define flavour         std-pae


%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net

Summary: Linux %module_name - Linux* Base Driver for the Attansic(R) L1 Gigabit Ethernet Adapter
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://support.attansic.com

BuildPreReq: kernel-build-tools

BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:       kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
This package contains the Linux driver for the Attansic(R) L1 Gigabit Ethernet
Adapter

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
cd src
%make_build -C %_usrsrc/linux-%kversion-%flavour modules SUBDIRS=$PWD 
cd ../

%install
%__mkdir_p %buildroot/%module_dir
%__cp -a src/*.ko %buildroot/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%doc release_note.txt readme license atl1.7
%module_dir

%changelog
* Sat Feb 24 2007 L.A. Kostis <lakostis@altlinux.ru> 1.0.41.0-alt1.132626.6
- initial build for ALTLinux.

